> ## Documentation Index
> Fetch the complete documentation index at: https://backstage.spotify.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get revoked exemptions

> Returns revoked exemptions, optionally filtered by checkId or entityRef.



## OpenAPI

````yaml /plugins/soundcheck/openapi.yaml get /checks/exemptions/revoked
openapi: 3.0.0
info:
  title: soundcheck
  version: 0.1.0
  description: API for interacting with Soundcheck.
servers:
  - url: https://backstage.example.com/api/soundcheck
security: []
tags:
  - name: Campaigns
  - name: Certification
  - name: CheckResults
  - name: Checks
  - name: FactCollectors
  - name: Facts
  - name: Tracks
paths:
  /checks/exemptions/revoked:
    get:
      tags:
        - Checks
      summary: Get revoked exemptions
      description: Returns revoked exemptions, optionally filtered by checkId or entityRef.
      operationId: getRevokedExemptions
      parameters:
        - name: checkId
          in: query
          description: Filter by check ID.
          required: false
          schema:
            type: string
        - name: entityRef
          in: query
          description: Filter by entity reference.
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            Maximum number of revoked exemptions to return. Defaults to 25, max
            100.
          required: false
          schema:
            type: integer
            default: 25
            maximum: 100
        - name: offset
          in: query
          description: Number of revoked exemptions to skip. Defaults to 0.
          required: false
          schema:
            type: integer
            default: 0
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExemptionsResponse'
        '403':
          description: No permission to read revoked exemptions
          content:
            text/plain:
              schema:
                type: string
components:
  schemas:
    ExemptionsResponse:
      type: object
      required:
        - exemptions
        - totalCount
      properties:
        exemptions:
          type: array
          items:
            $ref: '#/components/schemas/Exemption'
        totalCount:
          type: integer
      additionalProperties: false
    Exemption:
      type: object
      required:
        - checkId
        - entityRef
        - userRef
        - justification
        - timestamp
      properties:
        checkId:
          type: string
        entityRef:
          type: string
        userRef:
          type: string
        justification:
          type: string
        timestamp:
          type: string
        revocationUserRef:
          type: string
        revocationTimestamp:
          type: string
        revocationReason:
          type: string
      additionalProperties: false

````